
Foreman - Bug #2217

Successfull run of reports:expire produces warnings

02/18/2013 03:27 AM - Igor Galić

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/usr/local/share/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:10: warn

ing: already initialized constant ENC_NONE

/usr/local/share/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:11: warn

ing: already initialized constant ENC_EUC

/usr/local/share/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:12: warn

ing: already initialized constant ENC_SJIS

/usr/local/share/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:13: warn

ing: already initialized constant ENC_UTF8

 While this seems innocuous at first, when running this from cron in an environment of hundreds and hundreds of servers it can

become noisy, desensitise and most importantly drown out when there's a real issue, because people just start ignoring everything

that comes from that server

Related issues:

Related to Foreman - Refactor #11059: Delete lib/regexp_extensions.rb Closed 07/09/2015

Associated revisions

Revision c09b1dfe - 02/20/2013 07:27 AM - Dominic Cleal

fixes #2217 - initialize Regexp constants here to stop duplicate warnings

History

#1 - 02/18/2013 04:27 AM - Dominic Cleal

- Status changed from New to Closed

This is a bug in the older ruby_parser gem we use, it's been fixed in ruby_parser 3.x which is in Foreman 1.1.  We're also redirecting cron output to a

log in future packages which should help.

#2 - 02/20/2013 06:34 AM - Dominic Cleal

- Category set to Packaging

- Status changed from Closed to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.2.0

Re-opening as we need to revert to the older ruby_parser again due to #2100.

#3 - 02/20/2013 06:45 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/420

#4 - 02/20/2013 09:14 AM - Dominic Cleal
https://github.com/theforeman/foreman-rpms/pull/34
https://github.com/theforeman/foreman-rpms/pull/34
https://projects.theforeman.org/issues/2100
https://github.com/theforeman/foreman/pull/420


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c09b1dfeed4b83c4dc18921c848055e6b31e9fca.

#5 - 07/09/2015 03:55 AM - Dominic Cleal

- Related to Refactor #11059: Delete lib/regexp_extensions.rb added
